package intrinsic.mx.rpc.soap.types;

public class SOAPArrayType extends Object implements intrinsic.mx.rpc.soap.types.ICustomSOAPType {

	/** Accessors */

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public SOAPArrayType() {
}


/** Static Methods */

/** Methods */
public native void decode(intrinsic.mx.rpc.soap.SOAPDecoder arg0, Object arg1, Object arg2, Object arg3);
public native void decode(intrinsic.mx.rpc.soap.SOAPDecoder arg0, Object arg1, Object arg2, Object arg3, intrinsic.XML arg4);
public native void encode(intrinsic.mx.rpc.soap.SOAPEncoder arg0, Object arg1, Object arg2, Object arg3);
public native void encode(intrinsic.mx.rpc.soap.SOAPEncoder arg0, Object arg1, Object arg2, Object arg3, intrinsic.XML arg4);

}
